let
  nixpkgs = {
    url = "https://github.com/NixOS/nixpkgs/";
    ref = "nixos-22.05";
    rev = "e3583ad6e533a9d8dd78f90bfa93812d390ea187";
  };
in

{
  inherit nixpkgs;
  nixos = nixpkgs // {
    suffix = "/nixos";
  };
  "channels-nixos-stable" = nixpkgs;
  "channels-nixos-unstable" = {
    url = "https://github.com/NixOS/nixpkgs/";
    ref = "nixos-unstable";
    rev = "e494a908e8895b9cba18e21d5fc83362f64b3f6a";
  };
  "channels-nixos-unstable-small" = {
    url = "https://github.com/NixOS/nixpkgs/";
    ref = "nixos-unstable-small";
    rev = "5516b991bcc4c7a786a7d7eb5bb4a1d8dae0031b";
  };
  "nixpkgs-master" = {
    url = "https://github.com/NixOS/nixpkgs/";
    ref = "master";
    rev = "a8a4f3dafa990ab0e26b07235ec0b9db1806f79f";
  };
  "home-manager-module" = {
    url = "https://github.com/nix-community/home-manager";
    ref = "release-22.05";
    rev = "4a3d01fb53f52ac83194081272795aa4612c2381";
  };
}
